How do I know which nw.js version I need?

Get help using Construct 2

Post » Wed Aug 03, 2016 3:10 pm

There are 30+ versions of nw.js on the official scirra nw.js download page at https://www.scirra.com/nwjs

Many of these are set to to work with Construct2 217+ but how do I know which one is best? Why wouldn't I always want the newest one? Whats the general rule regarding when to update nw.js for my system?

@ashley can you provide some guidance?
B
28
S
8
G
2
Posts: 58
Reputation: 2,591

Post » Mon Aug 08, 2016 1:43 pm

Bump. New version of Construct2 this morning, still don't know the best course of action for nw.js
Is there anyone that can provide a recommendation? Ping @ashley
B
28
S
8
G
2
Posts: 58
Reputation: 2,591

Post » Mon Aug 08, 2016 1:49 pm

If you use Greenworks, you need to stick to the specific version your version of the Greenworks plugin is built for.

Otherwise, just use the latest.

The old versions are mainly there in case you run in to a bug and want to roll back.
Scirra Founder
B
403
S
238
G
89
Posts: 24,653
Reputation: 196,143

Post » Mon Aug 08, 2016 5:22 pm

If you use windows Vista or XP, you'll have to use v0.13.2 or older. Anything newer than chromium 49 will not work on vista or xp because support for those platforms have been dropped.
Also, Mac OS X releases 10.6, 10.7, and 10.8 have been dropped
B
48
S
23
G
66
Posts: 1,144
Reputation: 39,059

Post » Thu Aug 11, 2016 10:25 pm

Thank you @ashley. I recommend you add this to the nwjs page!
B
28
S
8
G
2
Posts: 58
Reputation: 2,591


Return to How do I....?

Who is online

Users browsing this forum: No registered users and 5 guests